//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 4 textures and 37 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.02.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 12/01/1996    (01.12.1996)
//

#max_trace_level 5

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





camera {  //  Camera StdCam
  location  <-7.000, -25.600, 3.000>
  direction <0.0,     0.0,  1.8316>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <2.386, -1.105, 0.336>
}

// *******  L I G H T S *******
light_source {   // Light001
  <7.100, -5.900, 3.300>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light1
  <-3.000, -6.000, 3.400>
  color rgb <1.000, 1.000, 1.000>
}


// ********  TEXTURES  *******
//

#include "plane.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******

cone { // Smoke
  <0,0,0>, 0.0, <0,0,1>, 1.0
  pigment { color rgbt<1,0,0,1> }
  halo {
        glowing
        spherical_mapping
        linear
        turbulence 1.2
        color_map{
                   [ 0 color rgbt< 1, 1, 1, 1>]
                   [.3 color rgbt<.5,.5,.5, 0>]
                   [.8 color rgbt< 1, 1, 1,-1>]
                   [ 1 color rgbt< 1, 1, 1, 1>]
                  }
        samples 10
        frequency 3
        scale 0.9
       }
  scale 6
  rotate <0.0, -65.0, -90.0>
  translate  <11.6, 24.7, 6.2>
  hollow
}


sphere { // Explosion
  0,1
  pigment { color rgbt<1,0,0,1> }
  halo {
        emitting
        spherical_mapping
        linear
        turbulence 1.2
        color_map{
                   [ 0 color rgbt<1,0,0, 1>]
                   [.5 color rgbt<1,1,0,-1>]
                   [ 1 color rgbt<1,0,0, 1>]
                  }
        samples 10
        frequency 3
        scale 0.7
       }
  scale 3
  translate  <13.6, 23.5, 3.9>
  hollow
}


union { // Bomb2
  cylinder { // Main3
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    translate  <1.6, -10.3, -4.7>
  }
  sphere { // Nose3
    <0,0,0>,1
    scale 0.3
    translate  <1.6, -10.3, -3.7>
  }
  sphere { // Fin13
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    translate  <1.9, -10.3, -4.4>
  }
  sphere { // Fin14
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    translate  <1.3, -10.3, -4.4>
  }
  sphere { // Fin15
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    rotate -90.0*z
    translate  <1.6, -10.0, -4.4>
  }
  sphere { // Fin16
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    rotate -90.0*z
    translate  <1.6, -10.6, -4.4>
  }
  texture {
    BombTex
  }
  no_shadow
  rotate <-176.16011, 8.355406, 170.046738>
  translate  <7.1, 9.8, -10.6>
}


union { // Bomb1
  cylinder { // Main1
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    translate  <1.6, -10.3, -4.7>
  }
  sphere { // Nose1
    <0,0,0>,1
    scale 0.3
    translate  <1.6, -10.3, -3.7>
  }
  sphere { // Fin5
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    translate  <1.9, -10.3, -4.4>
  }
  sphere { // Fin6
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    translate  <1.3, -10.3, -4.4>
  }
  sphere { // Fin7
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    rotate -90.0*z
    translate  <1.6, -10.0, -4.4>
  }
  sphere { // Fin8
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    rotate -90.0*z
    translate  <1.6, -10.6, -4.4>
  }
  texture {
    BombTex
  }
  no_shadow
  rotate <-180.0, 10.0, 180.0>
  translate  <3.3, 13.8, -6.2>
}


union { // Plane1
  sphere { // Twing3
    <0,0,0>,1
    texture {
      PlaneTex
    }
    scale <0.7, 0.4, 0.2>
    translate  <3.5, 8.1, 1.2>
  }
  sphere { // Twing4
    <0,0,0>,1
    texture {
      PlaneTex
    }
    scale <0.7, 0.4, 0.2>
    translate  <2.2, 8.1, 1.2>
  }
  sphere { // Tail1
    <0,0,0>,1
    texture {
      PlaneTex
    }
    scale <0.2, 0.7, 1.2>
    translate  <2.9, 8.1, 0.8>
  }
  sphere { // Body1
    <0,0,0>,1
    texture {
      PlaneTex
    }
    scale <1.0, 8.5, 0.8>
    translate  <2.9, 3.3, 0.0>
  }
  sphere { // Wing3
    <0,0,0>,1
    texture {
      PlaneTex
    }
    scale <3.6, 1.4, 0.2>
    translate  6.1*x
  }
  sphere { // wing2
    <0,0,0>,1
    texture {
      PlaneTex
    }
    scale <3.6, 1.4, 0.2>
  }
  sphere { // CockPit1
    <0,0,0>,1
    texture {
      Black
    }
    scale <0.6, 1.1, 0.5>
    translate  <2.9, -2.2, 0.5>
  }
  no_shadow
  rotate <-0.345268, 14.766891, -2.663989>
  translate  <14.1, 22.3, 3.6>
}


union { // Bomb
  cylinder { // Main
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    translate  <1.6, -10.3, -4.7>
  }
  sphere { // Nose
    <0,0,0>,1
    scale 0.3
    translate  <1.6, -10.3, -3.7>
  }
  sphere { // Fin1
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    translate  <1.9, -10.3, -4.4>
  }
  sphere { // Fin2
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    translate  <1.3, -10.3, -4.4>
  }
  sphere { // Fin3
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    rotate -90.0*z
    translate  <1.6, -10.0, -4.4>
  }
  sphere { // Fin4
    <0,0,0>,1
    scale <0.3, 0.2, 0.1>
    rotate -90.0*z
    translate  <1.6, -10.6, -4.4>
  }
  texture {
    BombTex
  }
  no_shadow
  rotate <-180.0, 30.0, 180.0>
  translate  <4.3, 9.7, -6.6>
}


sphere { // Sky
  <0,0,0>,1
  texture {
    Blue_Sky3
  }
  scale 100
  hollow
}


union { // Plane
  sphere { // Twing2
    <0,0,0>,1
    texture {
      PlanTex2
    }
    scale <0.7, 0.4, 0.2>
    translate  <3.5, 8.1, 1.2>
  }
  sphere { // Twing1
    <0,0,0>,1
    texture {
      PlanTex2
    }
    scale <0.7, 0.4, 0.2>
    translate  <2.2, 8.1, 1.2>
  }
  sphere { // Tail
    <0,0,0>,1
    texture {
      PlanTex2
    }
    scale <0.2, 0.7, 1.2>
    translate  <2.9, 8.1, 0.8>
  }
  sphere { // Body
    <0,0,0>,1
    texture {
      PlanTex2
    }
    scale <1.0, 8.5, 0.8>
    translate  <2.9, 3.3, 0.0>
  }
  sphere { // Wing2
    <0,0,0>,1
    texture {
      PlanTex2
    }
    scale <3.6, 1.4, 0.2>
    translate  6.1*x
  }
  sphere { // wing1
    <0,0,0>,1
    texture {
      PlanTex2
    }
    scale <3.6, 1.4, 0.2>
  }
  sphere { // CockPit
    <0,0,0>,1
    texture {
      Black
    }
    scale <0.6, 1.1, 0.5>
    translate  <2.9, -2.2, 0.5>
  }
  no_shadow
  rotate <10.0, 15.0, -20.0>
}






